/* ページヘッダー */
.page-header {
    position: relative;
    text-align: center;
    margin-bottom: 30px;
}

@media screen and (max-width: 768px) {
    .page-header {
        margin-bottom: 0px;
    }
}   

.header-image {
    position: relative;
    width: 100%;
    height: 400px;
    overflow: hidden;
}

@media screen and (max-width: 768px) {
    .header-image {
        height: 200px;
    }
}

.header-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.header-image h1 {
    position: absolute;
    top: 10%;
    left: 28%;
    transform: translate(-50%, -50%);
    color: white;
    font-size: 2.2rem;
    font-weight: bold;
    text-shadow: 0px 2px 4px rgba(0, 0, 0, 0.5);
    border-top: 3px solid #92bb44;
    width: 400px; /* 線の横幅を指定 */
    text-align: left; /* テキストを中央揃え */
    padding: 0 50px 0;
}

.header-image p {
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    font-size: 1.8rem;
    text-align: left;
}

@media (max-width: 768px) {
    .header-image h1 {
        font-size: 24px;
        width: 264px;
        left: 40%;
        top: 16%;
        padding-left: 10px;
    }


    .header-image p {
        font-size: 16px;
        width: 300px; /* 線の横幅を指定 */
        left: 50%;
        top: 55%;
    }
}

/* メインコンテンツ */
.thoughts-content {
    padding: 20px 10px;
}

.container {
    max-width: 1200px;
    margin: 15px auto;
    background-color: white;
    padding: 20px;
}

@media screen and (max-width: 768px)    {
    .container {
        padding: 10px;
    }
}

h2 {
    color: #333;
    font-size: 24px;
    border-bottom: 2px solid #92bb44;
    padding-left: 10px;
    margin-bottom: 20px;
}

p {
    font-size: 16px;
    line-height: 1.8;
    margin-bottom: 20px;
}

.signature {
    font-weight: bold;
    text-align: right;
    margin-top: 20px;
}

h3 {
    color: #92bb44;
    font-size: 20px;
    margin-bottom: 10px;
}

.related-links {
    border: 4px solid #ccc; /* グレーの枠線 */
    border-radius: 8px; /* 角を丸める */
    padding: 15px; /* 内側の余白 */
    margin: 20px 0; /* 上の要素との余白 */
}

.related-links p {
    margin: 0 0 10px 0; /* 下部に少し余白を追加 */
    font-weight: bold; /* 見出しを強調 */
}

.related-links a {
    color: #333; /* リンクの色 */
    text-decoration: none; /* 下線を削除 */
    display: block; /* 各リンクをブロック表示にする */
    margin-bottom: 5px; /* リンク同士の間隔 */
}

.related-links a:hover {
    text-decoration: underline; /* ホバー時に下線を表示 */
}